<?php

/**
 * Defines admin menu of theme
 */
function placester_theme_admin_menu() {
    // add menu
    // add_menu_page( 'Theme Options', 'Theme Options', 'edit_themes', 
    //     'placester_theme', 'placester_theme_admin_colors_html', 
    //     echo get_stylesheet_directory_uri() . '/images/logo_16.png', 
    //     '3c' /* position between 3 and 4 */ );

    // avoid submenu to start with menu function
    global $submenu;
    $submenu['placester_theme'] = array();

    // add_submenu_page( 'placester_theme', '', 
    //     'Colors', 'edit_themes', 'placester_theme_colors', 
    //     'placester_theme_admin_colors_html' );
    // add_submenu_page( 'placester_theme', '', 
    //     'Craigslist Template', 'edit_themes', 
    //     'placester_theme_templates',
    //     'placester_theme_admin_templates_html' );

    wp_register_style( 'placester.theme.admin', 
        get_stylesheet_directory_uri() . '/css/admin.css' );
    wp_register_script( 'jquery.zclip', 
        get_stylesheet_directory_uri() . '/js/jquery.zclip.js' );

}

add_action( 'admin_menu', 'placester_theme_admin_menu' );



/**
 * Admin menu
 */

/**
 * Admin menu - "Colors" page
 */
function placester_theme_admin_options_html() {
    include( dirname( __FILE__ ) . '/options.php' );
}



/**
 * Admin menu - "Colors" page, on-load handler
 */
function placester_theme_admin_colors_onload() {
    wp_enqueue_style( 'placester.theme.colorpicker.style',
        get_stylesheet_directory_uri() . '/css/colorpicker.css' );
    wp_enqueue_script( 'placester.theme.colorpicker',
        get_stylesheet_directory_uri() . '/js/colorpicker.js' );
    wp_enqueue_script( 'placester.theme.admin.colors',
        get_stylesheet_directory_uri() . '/js/admin.colors.js' );
}

add_action( 'load-theme-options_page_placester_theme_colors', 
    'placester_theme_admin_colors_onload' );



/**
 * Admin menu - "Craigslist Template" page
 */
function placester_theme_admin_templates_html() {
    // require( dirname( __FILE__ ) . '/templates.php' );
}



/**
 * Admin menu - "Craigslist Template" page, on-load handler
 */
function placester_theme_admin_templates_onload() {
    if ( isset( $_REQUEST['template_iframe'] ) ) {
        // require( 'template-iframe.php' );
        exit();
    }

    wp_enqueue_style( 'placester.theme.admin' );
    wp_enqueue_script( 'jquery.zclip' );
    wp_enqueue_script( 'placester.theme.admin.templates',
        get_stylesheet_directory_uri() . '/js/admin.templates.js' );
}

add_action( 'load-theme-options_page_placester_theme_templates', 
    'placester_theme_admin_templates_onload' );



/**
 * Plugins Admin menu - "Properties" page, on-load handler
 */
function placester_theme_admin_properties_onload() {
    if ( ! isset( $_REQUEST['id'] ) ) {
        wp_enqueue_script( 'placester.theme.admin.properties',
            get_stylesheet_directory_uri() . '/js/admin.properties.js' );
    }
}

add_action( 'load-placester_page_placester_properties', 
    'placester_theme_admin_properties_onload' );



/*
 * Utils
 */

/**
 * Admin menu - common header for all admin pages
 *
 * @param string $current_page
 */
function placester_theme_admin_header( $current_page ) {
    ?>
    <div id="icon-options-general" class="icon32" 
        style="background: url('../wp-content/plugins/placester/images/logo_30.png') no-repeat">
        <br />
    </div>
    <h2 style="border-bottom: #ccc 1px solid; padding-bottom: 0px">
        <?php
        global $submenu;
        foreach ( $submenu['placester_theme'] as $i ) {
            $title = $i[0];
            $slug = $i[2];
            $style = ( $slug == $current_page ? 'nav-tab-active' : '' );

            echo "<a href='admin.php?page=$slug' style='font-size: 15px' ";
            echo "class='nav-tab $style'>$title</a>";
        }
        ?>
    </h2>
    <?php
}
