<?php 
/**
 *
 *  Functions checking the compatibility of the themes
 *  
 *  Enjoy!
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */

/**
 *      Checks to make sure the placester plugin is active
 */
 
function placester_plugin_compatibility () 
{
    if (is_admin()) {
        $active_flag = FALSE;
        foreach (get_option('active_plugins') as $plugins) {
            if ($plugins == 'placester/placester.php') {
                $active_flag = TRUE;
            }
        }
        if (!$active_flag) {
            echo '<div class="error"><p>You are currently running a theme designed to work with the <a target="_blank" href="http://wordpress.org/extend/plugins/placester/">Real Estate Pro Plugin </a>, however you don\'t have it installed. This will not work. Please download and install the plugin here: <input type="button" class="button " value="Download the Real Estate Pro Plugin" onclick="document.location.href = \'/wp-admin/plugin-install.php?tab=search&type=term&s=placester&plugin-search-input=Search+Plugins\';"></p></div>';
        }
    }
}
add_action('admin_notices', 'placester_plugin_compatibility');

/*
 * If the child theme isn't going to create the needed templates
 * the placester parent theme will Sets up theme defaults and 
 * registers support for various WordPress features
 * 
 */
if (!function_exists('custom_theme_switch_behavior')) {
    add_action('switch_theme', 'placester_theme_switch_theme');

    function placester_theme_switch_theme()
    {
        if (file_exists('parts/switch_theme.php')) {
            include('parts/switch_theme.php');
        }
    }
}
