<?php 
/**
 *
 *  Defines the default options
 *  to make the blog portion of the site work.
 * 
 *  Enjoy!
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */

function placester_default_theme_options() {
	// Multicheck Array
	$multicheck_array = array("show_attr_link" => "Show the Placester footer attribution link");
	
	// Multicheck Defaults
	$multicheck_defaults = array("show_attr_link" => "1");

    $options = array();

    $options[] = array( "name" => "Placester options",
        "type" => "heading");

	$options[] = array( "name" => "Footer Options",
						"id" => "footer_options",
						"std" => $multicheck_defaults, // These items get checked by default
						"type" => "multicheck",
						"options" => $multicheck_array);

	$options[] = array( "name" => "About these options",
						"desc" => "These options are set from within the backbone of your theme.",
						"type" => "info");

    if ( function_exists( 'placester_option_setter' ) ) {
        foreach ( $options as $option )
            placester_option_setter( $option );
    }
}
add_action('init', 'placester_default_theme_options');

function placester_footer_attributtion_link() {
    $footer_options = placester_option_getter( 'footer_options', array( "show_attr_link" => 1 ));
    $display_attr_link = $footer_options['show_attr_link'];
    if ( $display_attr_link ) {
?>
    <section class="copyright">
        &copy; 2011 <a href="http://placester.com/">Real estate advertising</a> powered by <a href="http://placester.com/">Placester</a>. All Rights Reserved 
    </section>
<?php
    }
}
add_action('placester_footer_bar', 'placester_footer_attributtion_link');
