<?php 
/**
 *
 *  Registers the sidebars throughout the theme
 *  Enjoy!
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */

/**
 * Register widgetized areas
 *
 * To override placester_widgets_init() in a child theme, remove the action hook and add your own
 * function tied to the init hook.
 *
 * @since Placester 0.1
 * @uses register_sidebar
 */
function placester_widgets_init() {
	// Area 1, located at the top of the sidebar.
	register_sidebar( array(
		'name' => __( 'Primary Widget Area', 'placester' ),
		'id' => 'primary-widget-area',
		'description' => __( 'The primary widget area', 'placester' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	// Area 2, located below the Primary Widget Area in the sidebar. Empty by default.
	register_sidebar( array(
		'name' => __( 'Secondary Widget Area', 'placester' ),
		'id' => 'secondary-widget-area',
		'description' => __( 'The secondary widget area', 'placester' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

}
/** Register sidebars by running placester_widgets_init() on the widgets_init hook. */
if (!function_exists('register_custom_sidebars')) {
    add_action( 'widgets_init', 'placester_widgets_init' );
}
