<?php
// ====================================
// = Initialization File For Backbone =
// ====================================
/**
 *      Designed so that all of Placester functionality
 *      can be dropped directly into any theme by simply
 *      including this file. All the css / js / and php will
 *      be hooked into WordPress automatically. 
 * 
 *      This is designed to make up for the lack of child theme
 *      support on WP.org right now.
 */


/**
 *      Routing
 */
include('functions/routes.php');        // Handles all the routing needed

// /**
//  *      Utility Functions
//  */
// include('functions/js.php');            // registers and hooks in all the needed js
// include('functions/css.php');           // registers and hooks in all the needed css

/**
 *      Placester Functions
 */
include('functions/wrappers.php');      // Functions that wrap includes
include('functions/compatibility.php'); // Checks the campatibility of the current theme
include('functions/admin.php');
include('functions/options.php');       // Registers and outputs all the default theme options


    add_action('wp_head', 'placester_fallback');
    function placester_fallback() {
        include('functions/fallback.php');      // checks for all placester functions and provides fallback methods to prevent errors.    
    }



/**
 *      Blog Functions
 */
include('functions/blog.php');          // Registers all the needed functions for blogging
include('functions/sidebar.php');       // Registers all our sidebars
include('functions/widgets.php');       // Registers all our sidebar / footer widgets


/**
 *      Admin Functions
 */
include_once('controls/init.php');         // All the backend admin functionality
