<?php
/**
 *
 *  Returns standard filters. 
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */
 
try
{
    $locations = placester_location_list();
    sort($locations->city);
    sort($locations->state);
    sort($locations->zip);
}
catch (PlaceSterNoApiKeyException $e)
{
    placester_warn_on_api_key();
    return;
}

?>

<form style='border: 1px solid black; float:left' id='filter_form' class="property_filters">
    <div>
        <label>city:</label> 
        <select name='location[city]'>
        <option></option>
        <?php 
            foreach ($locations->city as $city)
                echo '<option>' . $city . '</option>';
        ?>
        </select>        
    </div>
    <div>
        <label>state</label> 
        <select name='location[state]'>
          <option></option>
          <?php 
          foreach ($locations->state as $state)
              echo '<option>' . $state . '</option>';
          ?>
        </select>        
    </div>
    <div>
        <label>zip</label>         
        <select name='location[zip]'>
          <option></option>
          <?php 
          foreach ($locations->zip as $zip)
              echo '<option>' . $zip . '</option>';
          ?>
        </select>        
    </div>
    <div id="name">
        <label>bathrooms</label>
        <input name='min_bathrooms' /><br />
    </div>
    <div id="name">
        <label>bedrooms</label>
        <input name='min_bedrooms' /><br />
    </div>
    <div id="name">
        <label>minimum_rent</label>
        <input name='min_price' /><br />
    </div>
    <div id="name">
        <label>maximum_rent</label>
        <input name='max_price' /><br />
    </div>
    <div id="name">
        <label>date available</label>
        <input name='available_on' />
        (DD-MM-YYYY)<br />
    </div>
    <div id="name">
        <label>new:</label>
        <input name='is_new' type='checkbox' value='yes' /><br />
    </div>
    <div style="width: 500px; clear:both;">
        <input type=submit />        
    </div>


</form>


<?php placester_register_filter_form('filter_form'); ?>


