<?php
/**
 *
 *  Handles the rendering of the datatable using
 *  the jQuery plugin "Datatables" more information
 *  can be found at http://www.datatables.net/
 *  
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */


/**
 *      If no API Key, warn.
 */
if (placester_warn_on_api_key())
    return;
?>

    <?php
    /**
     *      HTML for sorting controls. To add another sorting
     *      control just name it after the thing you'd like to sort
     *      for example: has_images will sort by images, etc..
     *      
     */
    ?>
    Sort by: 
    <select id="sort_list">
      <option value="0 asc">bathrooms</option>
      <option value="1 asc">price</option>
      <option value="1 asc">has_images</option>
    </select>
    <br />

    <?php
    /**
     *      jQuery + JS Functions for controlling:
     *          - Sorting
     *          - Manipulating before it's rendered in the table:
     *              - link
     *              - descriptions
     *              - images
     * 
     *      It should be noted that these functions aren't needed.
     *      They are simply preprocessors for formatting data and 
     *      should be changed for your needs.
     *  
     *      TODO: Add link to preprocessor write up.
     * 
     */
    ?>
    <script>
        $('#sort_list').change(function() {
            var v = $('#sort_list').val();
            a = v.split(' ');
            placesterListLone_datatable.fnSort([a]);
        });

        function placester_processField_url(field_value) {
            return '<a href="' + field_value + '">Details</a>';
        }

        function placester_processField_description(field_value) {
            if (field_value.length > 50)
                field_value = field_value.substr(0, 10) + '..';
            return field_value;
        }

        <?php
        /**
         *      Suppose you wanted images. There's a preprocessor for that:
         * 
         * function placester_processField_images(field_value) {
         *    if (typeof(field_value) == "undefined")
         *        field_value = "";
         *    else
         *    {
         *        var a = ("" + field_value).split(",");
         *        var field_value  = "";
         *        for (var n = 0; n < a.length; n++)
         *        {
         *            if (a[n].length > 0)
         *                field_value += '<img src="' + a[n] + '" width=100 />';
         *        }
         *    }
         *    return field_value;
         * }
         */
        
        ?>

    </script>

<?php

    /**
     *      Builds the datatable and makes all the requests. 
     *      If your adding js preprocessors then be sure to 
     *      define them as shown blow.
     * 
     *      TODO: Add link to documentation 
     * 
     */
    placester_listings_list(
        array
        (
            'paginate' => 10,
            'attributes' =>
                array
                (
                    'location.address' => array(),
                    'location.city' => array(),
                    'bedrooms' => array(),
                    'bathrooms' => 
                        array
                        (
                            'label' => 'Bath',
                            'width' => '100px'
                        ),
                    'price' => 
                        array('width' => '100px'),
                    'has_images' => array(),
                    'description' => 
                        array('js_renderer' => 'placester_processField_description'),
                    'url' => 
                        array('js_renderer' => 'placester_processField_url')
                )
        ));

