<?php
/**
 *  Attempts to create the following pages with the 
 *  selected template page
 *  
 *  If a page with the desired name already with 
 *  the desired name, the action is aborted.
 * 
 *  Designed to allow theme builders to provide "zero-setup"
 *  solutions to their clients. Rather than forcing clients 
 *  to walk through help documents trying to figure out how 
 *  to set up a simple page with a template.
 * 
 *
 * @package Placester
 * @since Placester 0.1
 */


placester_create_page('About', 'placester-about-page.php');
placester_create_page('Contact', 'placester-contact-page.php');
placester_create_page('Search List Datatable', 'placester-search-list-datatable-page.php', 'placester_theme_search_list_datatable_page_id');
placester_create_page('Search List Div-based', 'placester-search-list-divbased-page.php', 'placester_theme_search_list_divbased_page_id');
placester_create_page('Search Map Google Marker', 'placester-search-map-googlemarker-page.php', 'placester_theme_search_map_googlemarker_page_id');
placester_create_page('Search Map qTip Marker', 'placester-search-map-qtipmarker-page.php', 'placester_theme_search_map_qtipmarker_page_id');
placester_create_page('Search Map Divbased', 'placester-search-map-divbased-page.php', 'placester_theme_search_map_divbased_page_id');

